Results 1 to 5 of 5

Thread: upgrade to 20.10 failed?

  1. #1
    Join Date
    May 2009
    Location
    Norway
    Beans
    70
    Distro
    Kubuntu

    upgrade to 20.10 failed?

    apt_pkg.Error: E:Could not configure 'libc6:amd64'. , E:Klarte ikke gjennomføre umiddelbar konfigurasjon av «
    libnss-nis:amd64». Se man 5 apt.conf under APT::Immediate-Configure for detaljer. (2)
    Error in sys.excepthook:
    Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/problem_report.py", line 477, in add_to_existing
    self.write(f)
    File "/usr/lib/python3/dist-packages/problem_report.py", line 430, in write
    block = f.read(1048576)
    File "/usr/lib/python3.8/codecs.py", line 322, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
    UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8b in position 1: invalid start byte

    Original exception was:
    apt_pkg.Error: E:Could not configure 'libc6:amd64'. , E:Klarte ikke gjennomføre umiddelbar konfigurasjon av «
    libnss-nis:amd64». Se man 5 apt.conf under APT::Immediate-Configure for detaljer. (2)
    Error in function: install

    apt_pkg.Error: E:Klarte ikke gjennomføre umiddelbar konfigurasjon av «libffi8ubuntu1:amd64». Se man 5 apt.con
    f under APT::Immediate-Configure for detaljer. (2)
    Error in sys.excepthook:
    Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/problem_report.py", line 477, in add_to_existing
    self.write(f)
    File "/usr/lib/python3/dist-packages/problem_report.py", line 430, in write
    block = f.read(1048576)
    File "/usr/lib/python3.8/codecs.py", line 322, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
    UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8b in position 1: invalid start byte

    Original exception was:
    apt_pkg.Error: E:Klarte ikke gjennomføre umiddelbar konfigurasjon av «libffi8ubuntu1:amd64». Se man 5 apt.con
    f under APT::Immediate-Configure for detaljer. (2)

    Upgrade infeasible

    The upgrade could not be completed, there were errors during the
    upgrade process.
    So did someone get that issue? how to fix it?

  2. #2
    Join Date
    Jun 2018
    Beans
    52

    Re: upgrade to 20.10 failed?

    Found a workaround


    “Found a workaround, but beware here be dragons and this could kill your OS install!

    Do not do this unless you know what you are doing!
    After do-release-upgrade -d fails
    cd /var/cache/apt
    sudo dpkg --force-depends --force-breaks -i libnss-nis_3.1-0ubuntu4_amd64.deb
    This will install the package that fails regardless missing deps and the possibility of breaking glibc.
    Try upgrading again
    sudo do-release-upgrade -d
    This worked for me.”

  3. #3
    Join Date
    May 2009
    Location
    Norway
    Beans
    70
    Distro
    Kubuntu

    Re: upgrade to 20.10 failed?

    Sorry its did not works: larsmartin@Multicom-laptop:/var/cache/apt$

    dpkg:error: cannot access archive 'libnss-nis_3.1-0ubuntu4_amd64.deb':
    sudo do-release-upgrade -d
    Checking for a new Ubuntu release
    Upgrades to the development release are only
    available from the latest supported release.
    Its works to upgrade 2 computer so need to find why this is so much high? did you know error with nvidia card and 20.10 that give only 1024x786 screensize?

  4. #4
    Join Date
    Jun 2010
    Location
    London, England
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: upgrade to 20.10 failed?

    This command will upgrade to the development release

    Code:
    sudo do-release-upgrade -d
    It is the d switch ( -d ) that does it. So, if you run that command on Ubuntu 20.10 you will upgrade to Ubuntu 21.04 development version. If you are on Ubuntu 20.04 that command will not work because 20.10 is no longer the development version. For that command to work you have to be on the latest supported release which is 20.10. Try running the command without the d switch ( -d )

    Regards
    It is a machine. It is more stupid than we are. It will not stop us from doing stupid things.
    Ubuntu user #33,200. Linux user #530,530


  5. #5
    Join Date
    May 2009
    Location
    Norway
    Beans
    70
    Distro
    Kubuntu

    Re: upgrade to 20.10 failed?

    Yes but i get isssue longer up so how to fix?
    Or its only way to reinstall and try again?

    Or did you have information how to find out why its only happed on one computer?
    I know XFCE desktop may give issue with upgrade but did not know why? Its it other thing that know issue with upgrade?

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •